QGIS Application - Feature request #1505
Column wrapping in Composer Legend
2009-01-23 11:08 AM - John Tull

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category:

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11565
Description

The ability to force long legend lists to wrap based on the vertical dimension of the legend box would be a nice feature. For instance, a
vector categorized by Unique ID with many id's generates a very large legend along the vertical axis. Being able to have the legend wrap
to multiple columns based on a desired vertical dimension would vastly improve the legend capabilities in the composer. A workaround is
to stack legends and customize the items that are in any given legend, but this is cumbersome.

History

#1 - 2011-03-05 11:37 AM - John Tull

The multiple legend solution is workable, but it would be nice for legend items to automatically wrapped based on the dimension of the legend item.

#2 - 2011-09-13 06:10 AM - Nathan Woodrow

- Pull Request or Patch supplied set to No

- Target version changed from Version 1.7.0 to Version 2.0.0
- Priority changed from Low to Normal

+1 this would be a very handy feature. Anyone want to have a go at it.

#3 - 2011-09-21 04:00 AM - James Stott

+1 for this feature also. Along with the ability to have legend item text on multiple lines this would vastly improve the legend making facilities.

#4 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2013-03-16 09:51 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed
